Option Explicit

Dim ProfFile As String
Global PortNo As Integer
Global Baud As Integer
Global ByteInx As Integer

Declare Function WritePrivateProfileString Lib "Kernel" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal lpString As String, ByVal lplFileName As String) As Integer
Declare Function GetPrivateProfileString Lib "Kernel" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Integer, ByVal lpFileName As String) As Integer
Declare Function GetPrivateProfileInt Lib "Kernel" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal nDefault As Integer, ByVal lpFileName As String) As Integer

Sub ReadSettings ()
  Dim result As Integer
  Dim ProfSection As String
  Dim ProfSet As String
  Dim ProfVal As String * 32
  Dim DefValue As String
  Dim ValLen As Integer

  ProfFile = "remwin.ini"
  ValLen = 32
  
  ProfSection = "Main"

  ProfSet = "ComPort"
  DefValue = "COM1"
  result = GetPrivateProfileString(ProfSection, ProfSet, DefValue, ProfVal, ValLen, ProfFile)
  PortNo = Val(Mid$(ProfVal, result, 1))
End Sub

Sub WriteSettings ()
  Dim result As Integer
  Dim ProfSection As String
  Dim ProfSet As String
  Dim ProfVal As String * 32

  ProfSection = "Main"
  
  ProfSet = "ComPort"
  ProfVal = "COM" & Str(PortNo)
  result = WritePrivateProfileString(ProfSection, ProfSet, ProfVal, ProfFile)
End Sub

