VERSION 4.00
Begin VB.Form MainForm 
   Appearance      =   0  'Flat
   BackColor       =   &H00C0C0C0&
   Caption         =   "Remote Control"
   ClientHeight    =   5400
   ClientLeft      =   1632
   ClientTop       =   2400
   ClientWidth     =   8196
   BeginProperty Font 
      name            =   "MS Sans Serif"
      charset         =   1
      weight          =   700
      size            =   7.8
      underline       =   0   'False
      italic          =   0   'False
      strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Height          =   6120
   Icon            =   "REMWIN.frx":0000
   Left            =   1584
   LinkMode        =   1  'Source
   LinkTopic       =   "MainForm"
   ScaleHeight     =   450
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   683
   Top             =   1728
   Width           =   8292
   Begin VB.TextBox RemCommand 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BeginProperty Font 
         name            =   "Arial"
         charset         =   1
         weight          =   700
         size            =   36
         underline       =   0   'False
         italic          =   0   'False
         strikethrough   =   0   'False
      EndProperty
      Height          =   1452
      Left            =   480
      TabIndex        =   4
      Top             =   2160
      Width           =   7212
   End
   Begin VB.TextBox RemText 
      Appearance      =   0  'Flat
      Height          =   300
      Index           =   0
      Left            =   456
      MaxLength       =   8
      TabIndex        =   3
      Top             =   1080
      Width           =   756
   End
   Begin Threed.SSPanel Toolbar 
      Height          =   384
      Left            =   360
      TabIndex        =   0
      Top             =   0
      Width           =   4212
      _version        =   65536
      _extentx        =   7430
      _extenty        =   677
      _stockprops     =   15
      backcolor       =   -2147483633
      roundedcorners  =   0   'False
   End
   Begin Threed.SSPanel StatusMsg 
      Height          =   324
      Left            =   240
      TabIndex        =   1
      Top             =   4800
      Width           =   1200
      _version        =   65536
      _extentx        =   2117
      _extenty        =   572
      _stockprops     =   15
      caption         =   "  Ready"
      backcolor       =   -2147483633
      BeginProperty font {FB8F0823-0164-101B-84ED-08002B2EC713} 
         name            =   "MS Sans Serif"
         charset         =   1
         weight          =   400
         size            =   7.81
         underline       =   0   'False
         italic          =   0   'False
         strikethrough   =   0   'False
      EndProperty
      bevelouter      =   1
      roundedcorners  =   0   'False
      alignment       =   1
   End
   Begin Threed.SSPanel StatusBar 
      Height          =   372
      Left            =   240
      TabIndex        =   2
      Top             =   4800
      Width           =   5292
      _version        =   65536
      _extentx        =   9335
      _extenty        =   656
      _stockprops     =   15
      backcolor       =   -2147483633
      roundedcorners  =   0   'False
   End
   Begin MSCommLib.MSComm CommPort 
      Left            =   6240
      Top             =   360
      _version        =   65536
      _extentx        =   677
      _extenty        =   677
      _stockprops     =   0
      cdtimeout       =   0
      commport        =   1
      ctstimeout      =   0
      dsrtimeout      =   0
      dtrenable       =   -1  'True
      handshaking     =   0
      inbuffersize    =   1024
      inputlen        =   0
      interval        =   1000
      nulldiscard     =   0   'False
      outbuffersize   =   512
      parityreplace   =   "?"
      rthreshold      =   0
      rtsenable       =   0   'False
      settings        =   "9600,n,8,1"
      sthreshold      =   0
   End
   Begin VB.Menu File 
      Caption         =   "File"
      Begin VB.Menu FileExit 
         Caption         =   "Exit"
      End
   End
   Begin VB.Menu Tools 
      Caption         =   "Tools"
      Begin VB.Menu ToolsOptions 
         Caption         =   "Options..."
      End
   End
   Begin VB.Menu Help 
      Caption         =   "Help"
      Begin VB.Menu HelpAbout 
         Caption         =   "About RemWin..."
      End
   End
End
Attribute VB_Name = "MainForm"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Dim Border As Integer
Dim TopOffset As Integer
Dim StatLeftBorder As Integer
Dim StatTopBorder As Integer
Dim StatBarHeight As Integer
Dim ChrW, ChrH As Integer

Dim GraphPos As Integer
Dim GraphFactor As Integer

Dim AppTitle As String
Const RcvBufSiz = 32
Dim RcvBuf As String * RcvBufSiz

Private Sub CommPort_OnComm()
  Dim InChar As String

  ' MsgBox "CommEvent " & CommPort.CommEvent
  If MainForm.CommPort.CommEvent = 2 Then
    InChar = MainForm.CommPort.Input
    If InChar <> "" Then
      ProcessInput InChar
    End If
  End If
  
  Select Case MainForm.CommPort.CommEvent
    Case MSCOMM_EV_RECEIVE
      InChar = MainForm.CommPort.Input
      ProcessInput InChar
  End Select
End Sub

Private Function ConvertCode(InpCode As Integer) As Integer
  '   0-1 0   8-11    4   24-31   8   56-71   12
  '   2-3 1   12-15   5   32-39   9   72-87   13
  '   4-5 2   16-19   6   40-47   10  88-103  14
  '   6-7 3   20-23   7   48-55   11  104-119 15
  If InpCode < 4 Then
    ConvertCode = InpCode * 2
  ElseIf InpCode < 8 Then
    ConvertCode = (InpCode - 4) * 4 + 10
  ElseIf InpCode < 12 Then
    ConvertCode = (InpCode - 8) * 8 + 28
  Else
    ConvertCode = (InpCode - 12) * 16 + 64
  End If
End Function

Private Sub DisplayCommand()
  CommText = ""
  Select Case RemText(0).Text
    Case Is = "580"
      CommText = " VCR : Ch 1"
    Case Is = "581"
      CommText = " VCR : Ch 2"
    Case Is = "582"
      CommText = " VCR : Ch 3"
    Case Is = "583"
      CommText = " VCR : Ch 4"
    Case Is = "584"
      CommText = " VCR : Ch 5"
    Case Is = "585"
      CommText = " VCR : Ch 6"
    Case Is = "586"
      CommText = " VCR : Ch 7"
    Case Is = "587"
      CommText = " VCR : Ch 8"
    Case Is = "588"
      CommText = " VCR : Ch 9"
    Case Is = "589"
      CommText = " VCR : Ch 0"
    Case Is = "58b"
      CommText = " VCR : Enter"
    Case Is = "590"
      CommText = " VCR : Ch +"
    Case Is = "591"
      CommText = " VCR : Ch -"
    Case Is = "595"
      CommText = " VCR : Power"
    Case Is = "596"
      CommText = " VCR : Eject"
    Case Is = "598"
      CommText = " VCR : Stop"
    Case Is = "599"
      CommText = " VCR : Pause"
    Case Is = "59A"
      CommText = " VCR : Play"
    Case Is = "59B"
      CommText = " VCR : Rew"
    Case Is = "59C"
      CommText = " VCR : FF"
    Case Is = "59D"
      CommText = " VCR : Rec"
    Case Is = "5A8"
      CommText = " VCR : Search <<"
    Case Is = "5A9"
      CommText = " VCR : Search >>"
    Case Is = "5AE"
      CommText = " VCR : Power On"
    Case Is = "5AF"
      CommText = " VCR : Power Off"
    Case Is = "5B0"
      CommText = " VCR : Frame <-"
    Case Is = "5B1"
      CommText = " VCR : Frame ->"
    Case Is = "5BA"
      CommText = " VCR : Rewind/Play"
    Case Is = "5BD"
      CommText = " VCR : Slow +"
    Case Is = "5BE"
      CommText = " VCR : Slow -"
    Case Is = "5C2"
      CommText = " VCR : Menu Up"
    Case Is = "5C3"
      CommText = " VCR : Menu Down"
    Case Is = "5C6"
      CommText = " VCR : Counter Reset"
    Case Is = "5C8"
      CommText = " VCR : Mark Index"
    Case Is = "5C9"
      CommText = " VCR : Erase Index"
    Case Is = "5CA"
      CommText = " VCR : Shuttle >>"
    Case Is = "5CB"
      CommText = " VCR : Shuttle"
    Case Is = "5CD"
      CommText = " VCR : Menu"
    Case Is = "5CF"
      CommText = " VCR : Input Sel"
    Case Is = "5D1"
      CommText = " VCR : Execute"
    Case Is = "5D2"
      CommText = " VCR : Quick Timer"
    Case Is = "5D3"
      CommText = " VCR : Index Select"
    Case Is = "5D8"
      CommText = " VCR : Rec Mode"
    Case Is = "5D9"
      CommText = " VCR : Go To 0"
    Case Is = "5DA"
      CommText = " VCR : Data Screen"
    Case Is = "5E1"
      CommText = " VCR : Menu ->"
    Case Is = "5E2"
      CommText = " VCR : Menu <-"
    Case Is = "5E3"
      CommText = " VCR : Timer Clear"
    Case Is = "5F4"
      CommText = " VCR : Channel Scan"
    Case Is = "080"
      CommText = " TV : Ch 1"
    Case Is = "081"
      CommText = " TV : Ch 2"
    Case Is = "082"
      CommText = " TV : Ch 3"
    Case Is = "083"
      CommText = " TV : Ch 4"
    Case Is = "084"
      CommText = " TV : Ch 5"
    Case Is = "085"
      CommText = " TV : Ch 6"
    Case Is = "086"
      CommText = " TV : Ch 7"
    Case Is = "087"
      CommText = " TV : Ch 8"
    Case Is = "088"
      CommText = " TV : Ch 9"
    Case Is = "089"
      CommText = " TV : Ch 0"
    Case Is = "090"
      CommText = " TV : Ch +"
    Case Is = "091"
      CommText = " TV : Ch -"
    Case Is = "092"
      CommText = " TV : Vol +"
    Case Is = "093"
      CommText = " TV : Vol -"
    Case Is = "094"
      CommText = " TV : Mute"
    Case Is = "095"
      CommText = " TV : Power Off"
    Case Is = "096"
      CommText = " TV : Normal"
    Case Is = "097"
      CommText = " TV : Audio Mon."
    Case Is = "098"
      CommText = " TV : Picture +"
    Case Is = "099"
      CommText = " TV : Picture -"
    Case Is = "09A"
      CommText = " TV : Colour +"
    Case Is = "09B"
      CommText = " TV : Colour -"
    Case Is = "09D"
      CommText = " TV : -/--"
    Case Is = "09E"
      CommText = " TV : Brightness +"
    Case Is = "09F"
      CommText = " TV : Brightness -"
    Case Is = "0A0"
      CommText = " TV : Hue +"
    Case Is = "0A1"
      CommText = " TV : Hue -"
    Case Is = "0A2"
      CommText = " TV : Sharpness +"
    Case Is = "0A3"
      CommText = " TV : Sharpness -"
    Case Is = "0A5"
      CommText = " TV : TV/Video"
    Case Is = "0A6"
      CommText = " TV : Balance L"
    Case Is = "0A7"
      CommText = " TV : Balance R"
    Case Is = "0AE"
      CommText = " TV : Power On"
    Case Is = "0AF"
      CommText = " TV : Power Off"
    Case Is = "0B8"
      CommText = " TV : Power On"
    Case Is = "0BA"
      CommText = " TV : Display"
  End Select
  If CommText = "" Then
    RemCommand.Text = RemText(0).Text
  Else
    RemCommand.Text = CommText
  End If
End Sub

Private Sub FileExit_Click()
  Unload MainForm
End Sub

Private Sub Form_Load()
  StatBarHeight = 24
  StatTopBorder = 2
  StatLeftBorder = 4

  GraphPos = 0
  GraphFactor = 1

  ReadSettings
  Load RemAbout
  OpenCommPort
End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, x As Single, Y As Single)
  Select Case ByteInx
    'Case 0
    '  GenerateInput "62"
    'Case 2, 3, 5, 6
    '  GenerateInput "42"
    'Case 1, 4, 7, 8, 9, 10
    '  GenerateInput "22"
    'Case 11
    '  GenerateInput "4F"
    ' 1 0 0 0 1 0 1 1 0 1 1 1
    ' -__-_-_--__--_-__--_-_-_
    Case 0
      GenerateInput "62"
    Case 1, 6
      GenerateInput "24"
    Case 2, 3, 8
      GenerateInput "22"
    Case 4
      GenerateInput "44"
    Case 5, 7
      GenerateInput "42"
    Case 9
      GenerateInput "2F"
  End Select
End Sub

Private Sub Form_Resize()
  If MainForm.WindowState = 0 Then
    Toolbar.Move 0, 0, MainForm.ScaleWidth, Toolbar.Height
    StatusBar.Move 0, MainForm.ScaleHeight - StatBarHeight, MainForm.ScaleWidth, StatBarHeight
    StatusMsg.Move StatLeftBorder, StatusBar.Top + StatTopBorder, StatusBar.Width - (3 * StatLeftBorder), StatusBar.Height - (2 * StatTopBorder)
  End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
  Dim Result As Integer
  
  If (PortId >= 0) Then
    CloseCommPort
  End If

  WriteSettings
End Sub

Private Sub GenerateInput(ByteCode As String)
  chr1 = Mid(ByteCode, 1, 1)
  chr2 = Mid(ByteCode, 2, 1)
  
  If (chr1 > "9") Then
    ByteVal = Asc(chr1) - Asc("7")
  Else
    ByteVal = Asc(chr1) - Asc("0")
  End If
  ByteVal = ByteVal * 16

  If (chr2 > "9") Then
    ByteVal = ByteVal + Asc(chr2) - Asc("7")
  Else
    ByteVal = ByteVal + Asc(chr2) - Asc("0")
  End If

  ProcessInput Chr(ByteVal)
End Sub

Private Sub HelpAbout_Click()
  RemAbout.Show
End Sub

Private Sub ProcessInput(InpChr As String)
  Dim Code As Integer
  Dim Msb As Integer, Lsb As Integer
  Dim MsbCode As String, LsbCode As String

  Code = Asc(InpChr)
  Msb = Int(Code / 16)
  Lsb = Code Mod 16

  If Lsb > 9 Then
    LsbCode = Chr(Lsb + Asc("7"))
  Else
    LsbCode = Chr(Lsb + Asc("0"))
  End If

  'Graph.ForeColor = RGB(255, 0, 0)
  If ByteInx = 0 Then
    MsbVal = Reverse(Msb)
    LsbVal = Reverse(Lsb)
    If MsbVal > 9 Then
      MsbCode = Chr(MsbVal + Asc("7"))
    Else
      MsbCode = Chr(MsbVal + Asc("0"))
    End If
    If LsbVal > 9 Then
      LsbCode = Chr(LsbVal + Asc("7"))
    Else
      LsbCode = Chr(LsbVal + Asc("0"))
    End If
    RemText(0).Text = LsbCode & MsbCode
    ByteInx = 1
  Else
    OldByte = RemText(0).Text
    'MsbVal = Reverse(Msb)
    LsbVal = Reverse(Lsb)
    'If MsbVal > 9 Then
    '  MsbCode = Chr(MsbVal + Asc("7"))
    'Else
    '  MsbCode = Chr(MsbVal + Asc("0"))
    'End If
    If LsbVal > 9 Then
      LsbCode = Chr(LsbVal + Asc("7"))
    Else
      LsbCode = Chr(LsbVal + Asc("0"))
    End If
    RemText(0).Text = OldByte & LsbCode
    ByteInx = 0

    DisplayCommand
  End If

  'Call Graph_Paint

  'MsbVal = ConvertCode(Msb) * GraphFactor
  'LsbVal = ConvertCode(Lsb) * GraphFactor
  'Graph.Line (GraphPos, 45)-(GraphPos, 5)
  'Graph.Line (GraphPos, 5)-(GraphPos + MsbVal, 5)
  'GraphPos = GraphPos + MsbVal
  'Graph.Line (GraphPos, 5)-(GraphPos, 45)
  'Graph.Line (GraphPos, 45)-(GraphPos + LsbVal, 45)
  'GraphPos = GraphPos + LsbVal
End Sub

Private Function Reverse(InVal As Integer) As Integer
  Dim x As Integer, RetVal As Integer

  x = 8
  RetVal = 0
  For i = 0 To 3
    If InVal Mod 2 = 1 Then
      RetVal = RetVal + x
    End If
    InVal = Int(InVal / 2)
    x = x / 2
  Next i
  Reverse = RetVal
End Function

